|  | Home | Documentation | saml2__AdviceType::__saml2__union_AdviceType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml2__AdviceType::__saml2__union_AdviceType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__AdviceType::__saml2__union_AdviceType:
[legend]

## Public Attributes

char * | saml2__AssertionIDRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionIDRef.
char * | saml2__AssertionURIRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionURIRef.
struct saml2__AssertionType * | saml2__Assertion
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Assertion.
struct saml2__EncryptedElementType * | saml2__EncryptedAssertion
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"EncryptedAssertion.

## Member Data Documentation

## ◆ saml2__Assertion

struct saml2__AssertionType* saml2__AdviceType::__saml2__union_AdviceType::saml2__Assertion

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Assertion.

Choice of element (one of multiple choices).

## ◆ saml2__AssertionIDRef

char* saml2__AdviceType::__saml2__union_AdviceType::saml2__AssertionIDRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionIDRef.

Choice of element (one of multiple choices).

## ◆ saml2__AssertionURIRef

char* saml2__AdviceType::__saml2__union_AdviceType::saml2__AssertionURIRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionURIRef.

Choice of element (one of multiple choices).

## ◆ saml2__EncryptedAssertion

struct saml2__EncryptedElementType* saml2__AdviceType::__saml2__union_AdviceType::saml2__EncryptedAssertion

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"EncryptedAssertion.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml2.h